/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERCONFIGURATION_H
#define BROWSERCONFIGURATION_H

#include <classlib/ObjectList.hpp>
#include <classlib/String.hpp>

class BrowserConfiguration {
  public:
    BrowserConfiguration();
    BrowserConfiguration(const BrowserConfiguration& other);
    ~BrowserConfiguration();

    ObjectList *profiles;
    ObjectList *nodes;

    bool preferSystemIcons;
    String *textFontFamily;
    int textFontSize;
    String *applicationFontFamily;
    int applicationFontSize;

  private:
    BrowserConfiguration& operator=(const BrowserConfiguration& other);
  };

#endif
