/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERCONFIGURATIONMANAGER_H
#define BROWSERCONFIGURATIONMANAGER_H

#include <classlib/ExceptionClass.hpp>
#include <classlib/Xml.hpp>

#include "BrowserConfiguration.hpp"

class MainFormImpl;
class BrowserConfiguration;

class BrowserConfigurationManager : ExceptionClass {
  public:
    BrowserConfigurationManager(MainFormImpl *parent);
    ~BrowserConfigurationManager();

    void load();
    void save();

  private:
    BrowserConfigurationManager(const BrowserConfigurationManager& other);
    BrowserConfigurationManager& operator=(
                   const BrowserConfigurationManager& other);

    MainFormImpl *parent;
    BrowserConfiguration *newConfiguration;
    Xml *xml;

    void addNodesXml(XmlElement root);
    void addProfilesXml(XmlElement root);
    void createConfigurationXml();
    bool parseProfileXml(XmlElement profileElement);
    bool parseProfilesXml(XmlElement profilesElement);
    bool parseNodeXml(XmlElement nodeElement);
    bool parseNodesXml(XmlElement nodesElement);
    void parseXml();
  };

#endif
