/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERGROUPVIEWITEMWIDGET_H
#define BROWSERGROUPVIEWITEMWIDGET_H

#include <qwidget.h>
#include <qsimplerichtext.h>

class BrowserGroupViewItemWidget : public QWidget {
  public:
    BrowserGroupViewItemWidget(QWidget *parent,
                               const char *name,const char *value,
                               int widthGoal=220);
    ~BrowserGroupViewItemWidget();

    void paintEvent(QPaintEvent *paintEvent);
    int nameWidth() const;
    int valueWidth() const;
    int separatorWidth() const;
    void setNamePaddedWidth(int namePaddedWidth);
    void setValuePaddedWidth(int valuePaddedWidth);
    void setSeparatorMargin(int separatorMargin);
    void adjustTextSizes(int widthGoal);
    void adjustSize();

  private:
    QSimpleRichText *nameText;
    QSimpleRichText *separatorText;
    QSimpleRichText *valueText;

    int nameWidthBound;
    int valueWidthBound;

    int namePaddedWidth;
    int valuePaddedWidth;
    int separatorMargin;
  };

#endif
