/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "BrowserMIBTreeItem.hpp"

BrowserMIBTreeItem::BrowserMIBTreeItem(QListView *parent,
                                       const char *moduleName,
                                       const char *nodeName,
                                       const char *oidString,
                                       const SmiOidTreeNode *node)
           : QListViewItem(parent), node(node) {

  setValues(moduleName,nodeName,oidString);
  }

BrowserMIBTreeItem::BrowserMIBTreeItem(QListViewItem *parent,
                                       const char *moduleName,
                                       const char *nodeName,
                                       const char *oidString,
                                       const SmiOidTreeNode *node)
           : QListViewItem(parent), node(node) {

  setValues(moduleName,nodeName,oidString);
  }

BrowserMIBTreeItem::~BrowserMIBTreeItem() {
  }

BrowserMIBTreeItem::BrowserMIBTreeItem(const BrowserMIBTreeItem& other)
         : QListViewItem(other) {
  node = other.node;
  }

BrowserMIBTreeItem& BrowserMIBTreeItem::operator=(
                             const BrowserMIBTreeItem& other) {
  node = other.node;

  return *this;
  }

void BrowserMIBTreeItem::setValues(const char *moduleName,const char *nodeName,
                                   const char *oidString) {
  setText(0,nodeName);
  setText(1,moduleName);
  setText(2,oidString);
  }

const SmiOidTreeNode *BrowserMIBTreeItem::getNode() const {
  return node;
  }
