/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERMIBTREEITEM_H
#define BROWSERMIBTREEITEM_H

#include <qlistview.h>

#include <smidb/SmiOidTreeNode.hpp>

class BrowserMIBTreeItem : public QListViewItem {
  public:
    BrowserMIBTreeItem(QListView *parent,const char *moduleName,
                       const char *nodeName,const char *oidString,
                       const SmiOidTreeNode *node);
    BrowserMIBTreeItem(QListViewItem *parent,const char *moduleName,
                       const char *nodeName,const char *oidString,
                       const SmiOidTreeNode *node);
    ~BrowserMIBTreeItem();

    BrowserMIBTreeItem(const BrowserMIBTreeItem& other);
    BrowserMIBTreeItem& operator=(const BrowserMIBTreeItem& other);

    const SmiOidTreeNode *getNode() const;

  private:
    void setValues(const char *moduleName,const char *nodeName,
                   const char *oidString);
    const SmiOidTreeNode *node;
  };

#endif
