/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <classlib/String.hpp>

#include "BrowserNode.hpp"

BrowserNode::BrowserNode() : name(0), ipAddress(0), profile(0) {
  }

BrowserNode::BrowserNode(const BrowserNode& other) {
  name = new String(*other.name);
  ipAddress = new String(*other.ipAddress);
  profile = new String(*other.profile);
  }

BrowserNode::~BrowserNode() {
  delete name;
  delete ipAddress;
  delete profile;
  }

BrowserNode& BrowserNode::operator=(const BrowserNode& other) {
  delete name;
  name = new String(*other.name);

  delete ipAddress;
  ipAddress = new String(*other.ipAddress);

  delete profile;
  profile = new String(*other.profile);

  return *this;
  }

void BrowserNode::setName(const char *name) {
  delete this -> name;
  this -> name = new String(name);
  }

const char *BrowserNode::getName() const {
  if (! name) return 0;
  return name -> getChars();
  }

void BrowserNode::setIpAddress(const char *ipAddress) {
  delete this -> ipAddress;
  this -> ipAddress = new String(ipAddress);
  }

const char *BrowserNode::getIpAddress() const {
  if (! ipAddress) return 0;
  return ipAddress -> getChars();
  }

void BrowserNode::setProfile(const char *profile) {
  delete this -> profile;
  this -> profile = new String(profile);
  }

const char *BrowserNode::getProfile() const {
  if (! profile) return 0;
  return profile -> getChars();
  }
