/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "BrowserNodeListViewItem.hpp"
#include "BrowserSnmpProfile.hpp"

BrowserNodeListViewItem::BrowserNodeListViewItem(QListView *parent,
                                                 const BrowserNode *node)
              : QListViewItem(parent), node(node) {

  refreshNode();
  }

BrowserNodeListViewItem::BrowserNodeListViewItem(
                  const BrowserNodeListViewItem& other) : QListViewItem(other) {
  node = other.node;
  refreshNode();
  }

BrowserNodeListViewItem::~BrowserNodeListViewItem() {
  }

BrowserNodeListViewItem& BrowserNodeListViewItem::operator=(
               const BrowserNodeListViewItem& other) {
  node = other.node;
  refreshNode();
  return *this;
  }

void BrowserNodeListViewItem::refreshNode() {
  QString string;

  string = node -> getName();
  setText(0,string);

  string = node -> getIpAddress();
  setText(1,string);

  string = node -> getProfile();
  setText(2,string);
  }

const BrowserNode *BrowserNodeListViewItem::getNode() const {
  return node;
  }
