/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERPROFILELISTVIEWITEM_H
#define BROWSERPROFILELISTVIEWITEM_H

#include <qlistview.h>

#include "BrowserSnmpProfile.hpp"

class BrowserProfileListViewItem : public QListViewItem {
  public:
    BrowserProfileListViewItem(QListView *parent,
                               const BrowserSnmpProfile *profile);
    ~BrowserProfileListViewItem();

    BrowserProfileListViewItem(const BrowserProfileListViewItem& other);

    BrowserProfileListViewItem&
              operator=(const BrowserProfileListViewItem& other);

    const BrowserSnmpProfile *getProfile() const;
    void refreshProfile();

  private:
    const BrowserSnmpProfile *profile;
  };

#endif
