/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERREPORTFUNCTIONGRAPH_H
#define BROWSERREPORTFUNCTIONGRAPH_H

class String;

#include <classlib/ObjectList.hpp>

#include "BrowserReportFunction.hpp"

class BrowserReportFunctionGraphEntry : public Object {
  public:
    BrowserReportFunctionGraphEntry(const char *name,const char *objectName,
                                    int samplePeriod=1000);
    ~BrowserReportFunctionGraphEntry();

    const char *getName() const;
    const char *getObjectName() const;
    int getSamplePeriod() const;

  private:
    BrowserReportFunctionGraphEntry(
                   const BrowserReportFunctionGraphEntry& other);
    BrowserReportFunctionGraphEntry& operator=(
                   const BrowserReportFunctionGraphEntry& other);

    String *name;
    String *objectName;
    int samplePeriod;
  };

class BrowserReportFunctionGraph : public BrowserReportFunction {
  public:
    BrowserReportFunctionGraph();
    ~BrowserReportFunctionGraph();

    const char *getName() const;

    void setEntryList(ObjectList *entries);
    ObjectList *getEntryList() const;

  private:
    BrowserReportFunctionGraph(const BrowserReportFunctionGraph& other);
    BrowserReportFunctionGraph& operator=(
                  const BrowserReportFunctionGraph& other);

    ObjectList *entries;
  };

#endif
