/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERREPORTFUNCTIONGROUP_H
#define BROWSERREPORTFUNCTIONGROUP_H

class String;

#include <classlib/ObjectList.hpp>

#include "BrowserReportFunction.hpp"

class BrowserReportFunctionGroupEntry : public Object {
  public:
    BrowserReportFunctionGroupEntry(const char *name,const char *objectName);
    ~BrowserReportFunctionGroupEntry();

    const char *getName() const;
    const char *getObjectName() const;

  private:
    BrowserReportFunctionGroupEntry(
                   const BrowserReportFunctionGroupEntry& other);
    BrowserReportFunctionGroupEntry& operator=(
                   const BrowserReportFunctionGroupEntry& other);

    String *name;
    String *objectName;
  };

class BrowserReportFunctionGroup : public BrowserReportFunction {
  public:
    BrowserReportFunctionGroup();
    ~BrowserReportFunctionGroup();

    const char *getName() const;

    void setEntryList(ObjectList *entries);
    ObjectList *getEntryList() const;

  private:
    BrowserReportFunctionGroup(const BrowserReportFunctionGroup& other);
    BrowserReportFunctionGroup& operator=(
                  const BrowserReportFunctionGroup& other);

    ObjectList *entries;
  };

#endif
