/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <classlib/String.hpp>

#include "BrowserReportFunctionParameter.hpp"

#include <classlib/String.hpp>

BrowserReportFunctionParameter::BrowserReportFunctionParameter(
                                                      const char *nameArg)
              : type(StringParameterType), prompt(0), value(0),
                defaultValue(0) {

  name = new String(nameArg);
  }

BrowserReportFunctionParameter::~BrowserReportFunctionParameter() {
  delete name;
  delete prompt;
  delete value;
  delete defaultValue;
  }

const char *BrowserReportFunctionParameter::getName() const {
  return name -> getChars();
  }

BrowserReportFunctionParameter::Type
                      BrowserReportFunctionParameter::getType() const {
  return type;
  }

void BrowserReportFunctionParameter::setType(Type typeArg) {
  type = typeArg;
  }

const char *BrowserReportFunctionParameter::getPrompt() const {
  if (! prompt) return 0;
  else return prompt -> getChars();
  }

void BrowserReportFunctionParameter::setPrompt(const char *promptArg) {
  prompt = new String(promptArg);
  }

const char *BrowserReportFunctionParameter::getValue() const {
  if (! value) return 0;
  else return value -> getChars();
  }

void BrowserReportFunctionParameter::setValue(const char *valueArg) {
  value = new String(valueArg);
  }

const char *BrowserReportFunctionParameter::getDefaultValue() const {
  if (! defaultValue) return 0;
  else return defaultValue -> getChars();
  }

void BrowserReportFunctionParameter::setDefaultValue(const char *valueArg) {
  defaultValue = new String(valueArg);
  }

