/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef BROWSERREPORTFUNCTIONPARAMETER_H
#define BROWSERREPORTFUNCTIONPARAMETER_H

#include <classlib/Object.hpp>

class String;

class BrowserReportFunctionParameter : public Object {
  public:
    BrowserReportFunctionParameter(const char *name);
    ~BrowserReportFunctionParameter();

    typedef enum {StringParameterType, IntegerParameterType,
                  TableNameParameterType, ObjectIdentifierParameterType } Type;

    const char *getName() const;

    void setPrompt(const char *prompt);
    const char *getPrompt() const;

    void setValue(const char *value);
    const char *getValue() const;

    void setDefaultValue(const char *value);
    const char *getDefaultValue() const;

    void setType(Type type);
    Type getType() const;

  private:
    BrowserReportFunctionParameter(const BrowserReportFunctionParameter& other);
    BrowserReportFunctionParameter& operator=(
                           const BrowserReportFunctionParameter& other);

    String *name;
    Type type;
    String *prompt;
    String *value;
    String *defaultValue;
  };

#endif
