/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <cstdio>

#include <classlib/String.hpp>
#include <classlib/ObjectList.hpp>

#include "BrowserReportFunctionTableWalk.hpp"

BrowserReportFunctionTableWalkColumn::BrowserReportFunctionTableWalkColumn(
                   const char *name, const char *objectName,
                   BrowserReportFunctionTableWalkColumn::Type type) {
  this -> name = new String(name);
  this -> objectName = new String(objectName);
  this -> type = type;
  }

BrowserReportFunctionTableWalkColumn::~BrowserReportFunctionTableWalkColumn() {
  delete name;
  delete objectName;
  }

const char *BrowserReportFunctionTableWalkColumn::getName() const {
  return name -> getChars();
  }

const char *BrowserReportFunctionTableWalkColumn::getObjectName() const {
  return objectName -> getChars();
  }

BrowserReportFunctionTableWalkColumn::Type
                    BrowserReportFunctionTableWalkColumn::getType() const {
  return type;
  }

BrowserReportFunctionTableWalk::BrowserReportFunctionTableWalk() : columns(0) {
  }

BrowserReportFunctionTableWalk::~BrowserReportFunctionTableWalk() {
  delete columns;
  }

const char *BrowserReportFunctionTableWalk::getName() const {
  return "TableWalk";
  }

void BrowserReportFunctionTableWalk::setColumnList(ObjectList *columns) {
  this -> columns = columns;
  }

ObjectList *BrowserReportFunctionTableWalk::getColumnList() const {
  return columns;
  }
