/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERREPORTFUNCTIONTABLEWALK_H
#define BROWSERREPORTFUNCTIONTABLEWALK_H

#include "BrowserReportFunction.hpp"

class String;

#include <classlib/ObjectList.hpp>

class BrowserReportFunctionTableWalkColumn : public Object {
  public:
    enum Type { Implicit, Control, Normal };

    BrowserReportFunctionTableWalkColumn(const char *name,
                                         const char *objectName,
                                         Type type=Normal);
    ~BrowserReportFunctionTableWalkColumn();

    const char *getName() const;
    const char *getObjectName() const;
    Type getType() const;

  private:
    BrowserReportFunctionTableWalkColumn(
                   const BrowserReportFunctionTableWalkColumn& other);
    BrowserReportFunctionTableWalkColumn& operator=(
                   const BrowserReportFunctionTableWalkColumn& other);

    String *name;
    String *objectName;
    Type type;
  };

class BrowserReportFunctionTableWalk : public BrowserReportFunction {
  public:
    BrowserReportFunctionTableWalk();
    ~BrowserReportFunctionTableWalk();

    const char *getName() const;

    void setColumnList(ObjectList *columns);
    ObjectList *getColumnList() const;

  private:
    BrowserReportFunctionTableWalk(const BrowserReportFunctionTableWalk& other);
    BrowserReportFunctionTableWalk& operator=(
                  const BrowserReportFunctionTableWalk& other);

    ObjectList *columns;
  };

#endif
