/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERREPORTLISTVIEWITEM_H
#define BROWSERREPORTLISTVIEWITEM_H

#include <qlistview.h>

#include "BrowserReport.hpp"

class String;

class BrowserReportListViewItem : public QListViewItem {
  public:
    BrowserReportListViewItem(QListView *parent,
                              const char *title,
                              const BrowserReport *report=0);
    BrowserReportListViewItem(QListViewItem *parent,
                              const char *title,
                              const BrowserReport *report=0);
    ~BrowserReportListViewItem();

    BrowserReportListViewItem(const BrowserReportListViewItem& other);
    BrowserReportListViewItem& operator=(
               const BrowserReportListViewItem& other);

    void setReport(const BrowserReport *report);
    const BrowserReport *getReport() const;

  private:
    String *title;
    const BrowserReport *report;

    void refreshReport();
  };

#endif
