/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERREPORTMANAGER_H
#define BROWSERREPORTMANAGER_H

class MainFormImpl;

#include "BrowserReport.hpp"

#include <classlib/ExceptionClass.hpp>

#include <classlib/Xml.hpp>

class BrowserReportFunctionGroupEntry;
class BrowserReportFunctionGroup;

class BrowserReportManager : public ExceptionClass {
  public:
    BrowserReportManager(MainFormImpl *parent);
    ~BrowserReportManager();

    void load(const char *path);
    void load();

  private:
    BrowserReportManager(const BrowserReportManager& other);
    BrowserReportManager& operator=(const BrowserReportManager& other);

    MainFormImpl *parent;

    BrowserReportFunctionGroupEntry *parseGroupEntry(const Xml& xml,
                                                     XmlElement entryElement);

    ObjectList *parseGroupEntryList(const Xml& xml,XmlElement entriesElement);

    BrowserReportFunctionGroup *
                    parseGroupFunctionXml(const Xml& xml,
                                          XmlElement functionElement);

    BrowserReportFunction *parseFunctionXml(const Xml& xml,
                                            XmlElement functionElement);

    BrowserReportSection *parseSectionXml(const Xml& xml,
                                          XmlElement sectionElement);

    ObjectList *parseSectionsXml(const Xml& xml,XmlElement sectionsElement);

    BrowserReport *parseReportXml(const Xml& xml,XmlElement reportElement);

    ObjectList *parseReportsXml(const Xml& xml,XmlElement reportsElement);

    void parseXml(const Xml& xml);
  };

#endif
