/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERREPORTMENUTREE_H
#define BROWSERREPORTMENUTREE_H

#include <classlib/List.hpp>

#include "BrowserReportListViewItem.hpp"

class MainFormImpl;
class ObjectList;

class BrowserReportMenuTreeNode {
  public:
    BrowserReportMenuTreeNode();
    ~BrowserReportMenuTreeNode();

    BrowserReportListViewItem *item;
    List *children;

  private:
    BrowserReportMenuTreeNode(const BrowserReportMenuTreeNode& other);

    BrowserReportMenuTreeNode& operator=(
                   const BrowserReportMenuTreeNode& other);
  };

class BrowserReportMenuTree {
  public:
    BrowserReportMenuTree(MainFormImpl *parent);
    ~BrowserReportMenuTree();

    void add(const BrowserReport *report);

    //
    // Add all the reports in the given list. Ownership is retained
    // by the list
    //
    void add(ObjectList *reports);

    //
    // Return the selected report. Exactly one item must be selected,
    // and it must (obviously!) have a report associated with it
    //
    const BrowserReport *selectedReport() const;

  private:
    BrowserReportMenuTree(const BrowserReportMenuTree& other);
    BrowserReportMenuTree& operator=(const BrowserReportMenuTree& other);

    MainFormImpl *parent;
    BrowserReportMenuTreeNode *root;
  };

#endif
