/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERSNMPSESSION_H
#define BROWSERSNMPSESSION_H

#include <snmp++/snmp_pp.h>

#include "BrowserSnmpSessionException.hpp"

class BrowserSnmpProfile;
class BrowserSnmpTarget;

class BrowserSnmpSession : public ExceptionClass {
  public:
    BrowserSnmpSession();
    ~BrowserSnmpSession();

    const char *getMessage() const;
    Snmp *getSession() const;

    void addUser(const BrowserSnmpProfile *profile);

    Pdu *createPdu(const BrowserSnmpTarget *target,int securityLevel=-1) const;

  private:
    BrowserSnmpSession(const BrowserSnmpSession& other);
    BrowserSnmpSession& operator=(const BrowserSnmpSession& other);

    Snmp *session;
    v3MP *v3MessageProcessor;
    int status;
  };

#endif
