/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef BROWSERSNMPTARGET_H
#define BROWSERSNMPTARGET_H

#include <snmp++/snmp_pp.h>

#include <classlib/ExceptionClass.hpp>

#include "BrowserSnmpTargetException.hpp"

#include "BrowserSnmpSession.hpp"

class BrowserNode;
class BrowserConfiguration;
class BrowserSnmpProfile;

class BrowserSnmpTarget : public ExceptionClass {
  public:
    BrowserSnmpTarget(const char *addressString);
    BrowserSnmpTarget(BrowserSnmpSession *session,const BrowserNode *node,
                      const BrowserConfiguration *configuration);
    ~BrowserSnmpTarget();

    SnmpTarget *getTarget() const;
    const BrowserSnmpProfile *getProfile() const;

  private:
    BrowserSnmpTarget(const BrowserSnmpTarget& other);
    BrowserSnmpTarget& operator=(const BrowserSnmpTarget& other);

    SnmpTarget *target;
    BrowserSnmpProfile *profile;
  };

#endif
