/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef FUNCTIONPARAMETERFORMIMPL_H
#define FUNCTIONPARAMETERFORMIMPL_H

#include "BrowserReportFunctionParameter.hpp"

#include "FunctionParameterForm.hpp"

class FunctionParameterFormImpl : public FunctionParameterForm { 
  Q_OBJECT

  public:
    FunctionParameterFormImpl(QWidget* parent);
    ~FunctionParameterFormImpl();

    void addParameter(BrowserReportFunctionParameter *parameter);
    const char *getParameterValue(int row) const;

    void setDefaultObjectIdentifier(const char *objectIdentifier);
    void setDefaultTableName(const char *tableName);

  private:
    const char *defaultObjectIdentifier;
    const char *defaultTableName;
  };

#endif // FUNCTIONPARAMETERFORMIMPL_H
