/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <cstring>

#include "SnmpOperationFactory.hpp"

#include "SnmpWalkOperation.hpp"
#include "SnmpTableWalkOperation.hpp"
#include "SnmpGroupOperation.hpp"
#include "SnmpGraphOperation.hpp"

SnmpOperation *SnmpOperationFactory::manufactureOperation(const char *name) {
  if (std::strcmp(name,"Walk") == 0) {
    return new SnmpWalkOperation();
    }
  else if (std::strcmp(name,"Group") == 0) {
    return new SnmpGroupOperation();
    }
  else if (std::strcmp(name,"TableWalk") == 0) {
    return new SnmpTableWalkOperation();
    }
  else if (std::strcmp(name,"Graph") == 0) {
    return new SnmpGraphOperation();
    }

  return 0;
  }
