/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>

#include <snmp++/snmp_pp.h>

#include <smidb/SmiOid.hpp>
#include <classlib/String.hpp>

#include <smisnmp/SmiSnmpPPAdapter.hpp>

#include "SnmpPPOperation.hpp"
#include "BrowserException.hpp"

SnmpPPOperation::SnmpPPOperation() {
  }

SnmpPPOperation::~SnmpPPOperation() {
  }

void SnmpPPOperation::processReportMessage(const Pdu *pdu) {
  //
  // A Report PDU contains a single variable binding, containing the
  // new value of a counter that was incremented as a result of
  // an error with a previous PDU (in our case, the GET-NEXT
  // request we just sent)
  //
  const Vb& reportVb = pdu -> get_vb(0);

  SmiOid *reportOid = SmiSnmpPPAdapter::snmpOid(reportVb.get_oid());
  String *oidString = smi -> stringValue(*reportOid);
  char scratch[256];
  std::sprintf(scratch,"%s",oidString -> getChars());
  delete oidString;

  THROW(new BrowserException("SNMPv3 error report received",scratch),);
  }
