/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef STRIPCHARTWIDGET_H
#define STRIPCHARTWIDGET_H

#include <qwidget.h>
#include <qcolor.h>

class StripChartWidgetPrivate;

class StripChartWidget : public QWidget {
  Q_OBJECT

  public:
    StripChartWidget(QWidget *parent,int maxSamples=-1,
                     int rangeMin=0,int rangeMax=100);
    ~StripChartWidget();

    void setAutoScale(bool autoScale);
    void setShiftPeriod(int ms);
    void setTicks(bool ticks);
    void setZeroLine(bool zeroLine);
    int addTrace();

    void deleteTrace(int traceId);

    void addSample(int traceId,int sample);
    void setValue(int traceId,int value);
    QColor getColor(int traceId) const;

  signals:
    void newSample(int,int);

  private:
    StripChartWidget(const StripChartWidget& other);
    StripChartWidget& operator=(const StripChartWidget& other);

    void timerEvent(QTimerEvent *event);
    QSize minimumSizeHint() const;
    QSize sizeHint() const;
    void paintEvent(QPaintEvent *event);

    StripChartWidgetPrivate *data;
  };

#endif
