/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef DB_H
#define DB_H

#include "DetailedException.hpp"

class Db : public ExceptionClass {
  public:
    typedef enum { Read, Write, Delete } Mode;

    Db(const char *path,Mode mode);
    virtual ~Db();

    virtual void *fetch(const char *key,int *dataLength) const = 0;
    virtual void store(const char *key,const void *data,const int length) = 0;
    void store(const char *key,const char *data);
    virtual void deleteRecord(const char *key) = 0;
    virtual void deleteDatabase() = 0;
    virtual void reorganise();

    static void free(void *data); // Free data returned by fetch()

  private:
    Db(const Db& other);
    Db& operator=(const Db& other);

  protected:
    char *dbPath;
    Mode dbMode;
  };

#endif
