/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>
#include <cstdlib>
#include <cstring>

#include "DetailedException.hpp"

DetailedException::DetailedException(const char *messageArg,
                                     const char *diagnosticArg)
                 : diagnostic(0) {
  message = new char[std::strlen(messageArg) + 1];
  std::strcpy(message,messageArg);

  if (diagnosticArg) {
    diagnostic = new char[std::strlen(diagnosticArg) + 1];
    std::strcpy(diagnostic,diagnosticArg);
    }
  }

DetailedException::DetailedException(const DetailedException& other)
            : diagnostic(0) {
  message = new char[std::strlen(other.message) + 1];
  std::strcpy(message,other.message);

  if (other.diagnostic) {
    diagnostic = new char[std::strlen(other.diagnostic) + 1];
    std::strcpy(diagnostic,other.diagnostic);
    }
  }

DetailedException::~DetailedException() {
  delete[] message;
  delete[] diagnostic;
  }

void DetailedException::setDiagnostic(const char *diagnosticArg) {
  delete diagnostic;
  diagnostic = new char[std::strlen(diagnosticArg) + 1];
  std::strcpy(diagnostic,diagnosticArg);
  }
