/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef LINENUMBERREADER_H
#define LINENUMBERREADER_H

#include <sys/types.h>

#include "ExceptionClass.hpp"

class String;

class LineNumberReader : public ExceptionClass {
  public:
    LineNumberReader(const char *fileName);
    ~LineNumberReader();

    const char *getFileName() const;
    int getLineNumber() const;

    int read();
    void mark(int readahead);
    void reset();

  private:
    LineNumberReader(const LineNumberReader& other);
    LineNumberReader& operator=(const LineNumberReader& other);

    String *fileName;
    int lineNumber;
    off_t markedPosition;
    int markedLineNumber;

  protected:
    int fd;
  };

#endif
