/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>

#include "ObjectList.hpp"

ObjectList::ObjectList() {
  }

ObjectList::ObjectList(const ObjectList& other) {
  ListIterator it = ((ObjectList)other).iterator();
  while (it.hasNext()) {
    Object *object = (Object *)it.next();
    add(object -> copy());
    }
  }

ObjectList::~ObjectList() {
  ListIterator it = iterator();
  while (it.hasNext()) {
    Object *object = (Object *)it.next();
    it.remove();
    delete object;
    }
  }

void ObjectList::add(ObjectList *list) {
  //
  // Add each object from the input list to this list, removing it
  // from the input list
  //
  ListIterator it = list -> iterator();
  while (it.hasNext()) {
    Object *object = (Object *)it.next();
    it.remove();

    add(object);
    }

  //
  // The original list is now empty and can be deleted
  //
  delete list;
  }

void ObjectList::add(Object *object) {
  List::add(object);
  }

