/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdlib>
#include <cstring>

#include "String.hpp"

String::String(const char *string) {
  if (! string) string = "";
  this -> string = new char[std::strlen(string) + 1];
  std::strcpy(this -> string,string);
  }

String::String(const String *other) {
  this -> string = new char[std::strlen(other -> string) + 1];
  std::strcpy(this -> string,other -> string);
  }

String::String(const String &other) {
  this -> string = new char[std::strlen(other.string) + 1];
  std::strcpy(this -> string,other.string);
  }

String::String(const char *string,int length) {
  if (! string) string = "";
  this -> string = new char[length + 1];
  std::memcpy(this -> string,string,length);
  this -> string[length] = '\0';
  }

//
// Note that this method assumes that String and StringBuffer
// use compatible allocators
//
String::String(StringBuffer& buffer) {
  this -> string = buffer.detach();
  }

String::~String() {
  delete[] string;
  }

String& String::operator=(const String& other) {
  delete string;
  string = new char[std::strlen(other.string) + 1];
  std::strcpy(string,other.string);

  return *this;
  }

Object *String::copy() const {
  return new String(this);
  }

const char *String::getChars() const {
  return string;
  }

int String::equals(const char *string) const {
  return std::strcmp(string,this -> string) == 0;
  }

String *String::toString() const {
  return new String(string);
  }
