/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>

#include <qlabel.h>
#include <qpushbutton.h>

#ifdef QWS
#include <qpe/qcopenvelope_qws.h>
#endif

#include "HelpFormImpl.hpp"

#include "ManagerResource.hpp"

HelpFormImpl::HelpFormImpl(QWidget* parent) : HelpForm(parent,0,true,0) {
#ifndef QWS
  delete OperaButton;
  OperaButton = 0;
  delete HelpButton;
  HelpButton = 0;
#endif

  VersionLabel -> setText(VERSION_STRING);
  }

HelpFormImpl::~HelpFormImpl() {
  // no need to delete child widgets, Qt does it all for us
  }

void HelpFormImpl::openHelpBrowserSlot() {
#ifdef QWS
  QString channel = "QPE/Application/helpbrowser";
  QString command = "showFile(QString)";
  QCopEnvelope e(channel.latin1(),command.latin1());
  QString argument = ManagerResource::applicationGroupName();
  argument += "/index.html";
  e << argument;
#endif
  }

void HelpFormImpl::openOperaSlot() {
#ifdef QWS
  QString channel = "QPE/Application/opera";
  QString command = "setDocument(QString)";
  QCopEnvelope e(channel.latin1(),command.latin1());
  QString argument = "http://snmpz.sourceforge.net/";
  e << argument;
#endif
  }
