/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef MANAGERFORMIMPL_H
#define MANAGERFORMIMPL_H

#include "ManagerForm.hpp"

#include <qfont.h>

class ManagerConfiguration;
class ModuleManager;

class QApplication;

class ManagerFormImpl : public ManagerForm { 
  Q_OBJECT

  friend class ManagerConfigurationManager;

  public:
    ManagerFormImpl(QApplication *application);
    ~ManagerFormImpl();

  public slots:
    void newSlot();
    void mibSelectionChangedSlot();
    void configureSlot();
    void helpSlot();
    void deleteSelectedSlot();
    void showInfoOnSelectedSlot();
    void trashDatabaseSlot();

  private:
    QApplication *application;
    QFont systemDefaultFont;
    ManagerConfiguration *configuration;
    ModuleManager *moduleManager;

    void setIconStates();
    void rebuildModuleListView();
    void updateFonts();
    void readConfiguration();
    void writeConfiguration();
  };

#endif // MANAGERFORMIMPL_H
