/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "ManagerUtility.hpp"

QString ManagerUtility::formatErrorText(const char *leader,
                                        const char *message,
                                        const char *diagnostic,
                                        const char *additional) {
  QString richText = "<qt>";
  richText = richText + leader;
  if (message) {
    richText = richText + "<br><br>" + message;
    }
  if (diagnostic) {
    richText = richText + ":<br/><br/>" + diagnostic;
    }
  if (additional) {
    richText = richText + "<br/><br/>" + additional;
    }
  richText += "</qt>";

  return richText;
  }
