/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIFILEREADER_H
#define SMIFILEREADER_H

#include <classlib/LineNumberReader.hpp>

#include "SmiToken.hpp"

class SmiFileReaderPrivate;

class SmiFileReader : public LineNumberReader {
  public:
    SmiFileReader(const char *fileName);
    ~SmiFileReader();

    int getTokenStartLineNumber() const;
    void putbackToken(SmiToken token);
    SmiToken nextToken();
    int getProgress() const;

  private:
    SmiFileReader(const SmiFileReader& other);
    SmiFileReader& operator=(const SmiFileReader& other);

    bool isInitialIdentifierCharacter(char ch) const;
    bool isIdentifierCharacter(char ch) const;

    SmiFileReaderPrivate *data;
  };

#endif
