/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMITOKEN_H
#define SMITOKEN_H

#include <classlib/ExceptionClass.hpp>

class String;

class SmiToken : public ExceptionClass {
  public:
    enum Type { TT_NULL, TT_IDENTIFIER, TT_COMMENT, TT_STRING, TT_NUMBER,
                TT_SYMBOL, TT_HSTRING, TT_BSTRING, TT_EOF };

    SmiToken();
    SmiToken(Type type, int sourceLineNumber);
    SmiToken(Type type, int sourceLineNumber, const char *value);
    ~SmiToken();
    SmiToken(const SmiToken& other);
    SmiToken& operator=(const SmiToken& other);

    Type getTokenType() const;
    const char *getTokenValue() const;
    long long getBigIntegerValue() const;
    int getIntValue() const;
    int getSourceLineNumber() const;

  private:
    Type tokenType;
    int sourceLineNumber;
    String *value;
  };

#endif
