/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef CONFIG_H
#define CONFIG_H

#include <qstring.h>

class ConfigPrivate;

class Config {
  public:
    enum Domain {User};

    Config(const QString& name,Domain domain=User);
    ~Config();

    void setGroup(const QString& gname);
    void writeEntry(const QString& key,int num);
    void writeEntry(const QString& key,const QString& value);
    QString readEntry(const QString& key,
                      const QString& deflt=QString::null) const;
    bool readBoolEntry(const QString& key,bool deflt=false) const;
    int readNumEntry(const QString& key,int deflt=-1) const;
    void removeEntry(const QString& key);

  private:
    Config(const Config& other);
    Config& operator=(const Config& other);

    ConfigPrivate *data;
  };

#endif
