/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <qheader.h>

#include "MyQListView.hpp"

MyQListView::MyQListView(QWidget *parent,const char *name)
                  : QListView(parent,name) {
  }

MyQListView::~MyQListView() {
  }

QSize MyQListView::sizeHint() const {
  //
  // Let QListView calculate what it wants
  //
  QSize s = QListView::sizeHint();

  //
  // Return a height that takes into account the visible components of
  // the view, including the horizontal scrollbar if it is visible
  //
  int h = header() -> sizeHint().height() + frameWidth() * 2;
  if (horizontalScrollBar() -> isVisible())
    h += horizontalScrollBar() -> height();
  QListViewItem *child = firstChild();
  if (! child) h += 30;
  while (child) {
    h += child -> height();
    child = child -> nextSibling();
    }

  return QSize(s.width(),h);
  }

//
// If a resize occurs, we notify the layout system that our sizeHint()
// might have changed (since the size depends on scrollbar visibility)
// 
void MyQListView::viewportResizeEvent(QResizeEvent * e) {

  QListView::viewportResizeEvent(e);

  updateGeometry();
  }
