/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "SmiAsn1Tag.hpp"

SmiAsn1Tag::SmiAsn1Tag(const char *value) : className(0), implicit(0) {
  this -> value = new String(value);
  }

SmiAsn1Tag::~SmiAsn1Tag() {
  delete value;
  delete className;
  }

void SmiAsn1Tag::setClass(const char *className) {
  this -> className = new String(className);
  }

const char *SmiAsn1Tag::getClass() const {
  if (! className) {
    className = new String("context");
    }

  return className -> getChars();
  }

const char *SmiAsn1Tag::getValue() const {
  return value -> getChars();
  }

void SmiAsn1Tag::setImplicit(unsigned char implicit) {
  this -> implicit = implicit;
  }

unsigned char SmiAsn1Tag::getImplicit() const {
  return implicit;
  }
