/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIASN1TAG_H
#define SMIASN1TAG_H

#include <classlib/String.hpp>

class SmiAsn1Tag {
  public:
    SmiAsn1Tag(const char *value);
    ~SmiAsn1Tag();

    void setClass(const char *className);
    const char *getClass() const;

    const char *getValue() const;

    void setImplicit(unsigned char implicit);
    unsigned char getImplicit() const;

  private:
    SmiAsn1Tag(const SmiAsn1Tag& other);
    SmiAsn1Tag& operator=(const SmiAsn1Tag& other);

    mutable String *className;
    String *value;
    unsigned char implicit;
  };

#endif
