/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>
#include <cstring>

#include "SmiAssignmentInfoListDriver.hpp"
#include "SmiAssignmentInfo.hpp"

SmiAssignmentInfoListDriver::SmiAssignmentInfoListDriver(
                                   SmiAssignmentInfoList *assignmentInfoList,
                                   const SmiModule *module,const SmiDb *smiDb)
                   : SmiDriver(smiDb) {

  char recordName[128];
  std::sprintf(recordName,"/MODULE/%s/assignments",module -> getName());
  setKey(recordName);

  this -> assignmentInfoList = assignmentInfoList;
  }

SmiAssignmentInfoListDriver::~SmiAssignmentInfoListDriver() {
  }

void SmiAssignmentInfoListDriver::loaded(const Xml& xml) {
  XmlElement root = xml.getRootElement();
  int childCount = xml.getElementChildCount(root);
  for (int i = 0 ; i < childCount ; i++ ) {
    XmlElement assignmentElement = xml.getElementChild(root,i);
    const char *type = xml.getElementName(assignmentElement);
    if (std::strcmp(type,"objecttype") == 0) {
      assignmentInfoList ->
            add(new SmiAssignmentInfo(
                         xml.getElementAttributeValue(assignmentElement,0),
                         SmiAssignmentInfo::OBJECT_TYPE));
      }
    }
  }
