/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIASSIGNMENTLOADER_H
#define SMIASSIGNMENTLOADER_H

#include <classlib/XmlLoader.hpp>

#include "SmiAssignment.hpp"

class SmiModule;

class SmiAssignmentLoader : public XmlLoader {
  public:
    SmiAssignmentLoader(const SmiModule *module,const Xml& xml);
    virtual ~SmiAssignmentLoader();

    virtual void load() = 0;
    virtual void load(XmlElement element) = 0;
    virtual SmiAssignment *takeAssignment() = 0;

  private:
    SmiAssignmentLoader(const SmiAssignmentLoader& other);
    SmiAssignmentLoader& operator=(const SmiAssignmentLoader& other);

  protected:
    const SmiModule *module;
  };

#endif
