/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIDB_H
#define SMIDB_H

#include <classlib/Db.hpp>

class SmiDbPrivate;

class SmiDb : public Db {
  public:
    SmiDb(const char *dbPath,Mode mode);
    ~SmiDb();

    void *fetch(const char *key,int *length) const;
    void store(const char *key,const void *record,const int length);

    void deleteRecord(const char *moduleName);
    void deleteDatabase();

  private:
    SmiDb(const SmiDb& other);
    SmiDb& operator=(const SmiDb& other);

    SmiDbPrivate *data;
    Db *getDb(const char *,Mode) const;
  };

#endif
