/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIDRIVER_H
#define SMIDRIVER_H

#include <classlib/Xml.hpp>
#include <classlib/ExceptionClass.hpp>

#include "SmiDb.hpp"

class SmiDriver : public ExceptionClass {
  private:
    char *key;
    const SmiDb *smiDb;

  public:
    SmiDriver(const SmiDb *smiDb);
    SmiDriver(const SmiDb *smiDb,const char *key);
    virtual ~SmiDriver();

    void setKey(const char *key);
    void load();
    virtual void loaded(const Xml& xml) = 0;

  private:
    SmiDriver(const SmiDriver& other);
    SmiDriver& operator=(const SmiDriver& other);

  };

#endif
