/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIEXCEPTION_H
#define SMIEXCEPTION_H

#include <classlib/DetailedException.hpp>

//
// Base class for all SMI-related exceptions, modelled on Java
// Note the virtual destructor. This is necessary so the run-time
// system will know there are sub-classes, and a catch() of
// the base class will correctly trap throw() of the derived
// classes (something to do with generating a virtual function
// table)
//
class SmiException : public DetailedException {
  public:
    SmiException(const char *message,const char *diagnostic=0);
    virtual ~SmiException();
  };

#endif
