/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>

#include "SmiImportsDriver.hpp"

SmiImportsDriver::SmiImportsDriver(const SmiDb *smiDb,
                                   const SmiModule *module)
        : SmiDriver(smiDb), importsMap(0) {

  char recordName[128];
  std::sprintf(recordName,"/MODULE/%s/imports",module -> getName());
  setKey(recordName);
  }

SmiImportsDriver::~SmiImportsDriver() {
  delete importsMap;
  }

void SmiImportsDriver::loaded(const Xml& xml) {
  importsMap = new SmiImportsMap();

  XmlElement root = xml.getRootElement();

  int childCount = xml.getElementChildCount(root);
  for (int i = 0 ; i < childCount ; i++ ) {
    XmlElement symbolElement = xml.getElementChild(root,i);
    importsMap -> add(xml.getElementAttributeValue(symbolElement,0),
                      xml.getElementAttributeValue(symbolElement,1));
    }
  }

SmiImportsMap *SmiImportsDriver::takeImportsMap() {
  SmiImportsMap *returnedImportsMap = importsMap;
  importsMap = 0;
  return returnedImportsMap;
  }
