/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIIMPORTSDRIVER_H
#define SMIIMPORTSDRIVER_H

#include "SmiDriver.hpp"
#include "SmiImportsMap.hpp"
#include "SmiDb.hpp"
#include "SmiModule.hpp"

class SmiImportsDriver : public SmiDriver {
  public:
    SmiImportsDriver(const SmiDb *smiDb,const SmiModule *module);
    ~SmiImportsDriver();

    void loaded(const Xml& xml);

    SmiImportsMap *takeImportsMap();

  private:
    SmiImportsDriver(const SmiImportsDriver& other);
    SmiImportsDriver& operator=(const SmiImportsDriver& other);

    SmiImportsMap *importsMap;
  };

#endif
