/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "SmiIndexItem.hpp"

SmiIndexItem::SmiIndexItem() : name(0), module(0) {
  }

SmiIndexItem::SmiIndexItem(const char *nameArg) : module(0) {
  name = new String(nameArg);
  }

SmiIndexItem::SmiIndexItem(const char *moduleArg,const char *nameArg)
                  : module(0) {
  if (moduleArg) module = new String(moduleArg);
  name = new String(nameArg);
  }

SmiIndexItem::~SmiIndexItem() {
  delete name;
  delete module;
  }

void SmiIndexItem::setName(const char *name) {
  this -> name = new String(name);
  }

const char *SmiIndexItem::getName() const {
  if (! name) return 0;
  return name -> getChars();
  }

void SmiIndexItem::setModule(const char *module) {
  this -> module = new String(module);
  }

const char *SmiIndexItem::getModule() const {
  if (! module) return 0;
  return module -> getChars();
  }
