/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIINDEXLISTLOADER_H
#define SMIINDEXLISTLOADER_H

#include <classlib/XmlLoader.hpp>

#include "SmiIndexList.hpp"

class SmiIndexListLoader : public XmlLoader {
  public:
    SmiIndexListLoader(const Xml& xml);
    ~SmiIndexListLoader();

    void load() { load(xml.getRootElement()); }
    void load(XmlElement indicesElement);
    SmiIndexList *takeIndexList();

  private:
    SmiIndexListLoader(const SmiIndexListLoader& other);
    SmiIndexListLoader& operator=(const SmiIndexListLoader& other);

    SmiIndexList *indices;
  };

#endif
