/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>
#include <cstdlib>
#include <cstring>

#include "SmiModuleListDriver.hpp"

SmiModuleListDriver::SmiModuleListDriver(SmiModuleList *moduleList,
                                         SmiDb *smiDb)
          : SmiDriver(smiDb,"/MODULES"),
            moduleList(moduleList) {
  }

void SmiModuleListDriver::loaded(const Xml& xml) {
  XmlElement root = xml.getRootElement();
  int childCount = xml.getElementChildCount(root);
  for (int i = 0 ; i < childCount ; i++ ) {
    XmlElement oidElement = xml.getElementChild(root,i);
    moduleList -> add(xml.getElementAttributeValue(oidElement,0));
    }
  }
