/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIOBJECTIDENTITY_H
#define SMIOBJECTIDENTITY_H

#include "SmiAssignment.hpp"

class SmiModule;

class SmiObjectIdentity : public SmiAssignment {
  public:
    SmiObjectIdentity(const SmiModule *module,const char *name);
    virtual ~SmiObjectIdentity();

    SmiAssignmentInfo::Type getType() const;

    void setStatus(const char *status);
    const char *getStatus() const;

    void setDescription(const char *description);
    const char *getDescription() const;

    void setReference(const char *reference);
    const char *getReference() const;

  private:
    SmiObjectIdentity(const SmiObjectIdentity& other);
    SmiObjectIdentity& operator=(const SmiObjectIdentity& other);

    String *status;
    mutable String *description;
    String *reference;
  };

#endif
