/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>

#include "SmiObjectType.hpp"
#include "SmiModule.hpp"

SmiObjectType::SmiObjectType(const SmiModule *module,const char *name)
      : SmiObjectIdentity(module,name),
        syntax(0), access(0), units(0), defval(0), indices(0), augments(0) {
  }

SmiObjectType::~SmiObjectType() {
  delete syntax;
  delete access;
  delete units;
  delete indices;
  delete defval;
  delete augments;
  }

SmiAssignmentInfo::Type SmiObjectType::getType() const {
  return SmiAssignmentInfo::OBJECT_TYPE;
  }

void SmiObjectType::setSyntax(SmiSyntax *syntax) {
  this -> syntax = syntax;
  }

const SmiSyntax *SmiObjectType::getSyntax() const {
  return syntax;
  }

void SmiObjectType::setAccess(const char *access) {
  this -> access = new String(access);
  }

const char *SmiObjectType::getAccess() const {
  if (access) return access -> getChars();
  return 0;
  }

void SmiObjectType::setUnits(const char *units) {
  this -> units = new String(units);
  }

const char *SmiObjectType::getUnits() const {
  if (units) return units -> getChars();
  return 0;
  }

void SmiObjectType::setDefaultValue(SmiDefaultValue *defval) {
  this -> defval = defval;
  }

const SmiDefaultValue *SmiObjectType::getDefaultValue() const {
  return defval;
  }

void SmiObjectType::setIndexList(SmiIndexList *indices) {
  this -> indices = indices;
  }

SmiIndexList *SmiObjectType::getIndexList() const {
  return indices;
  }

void SmiObjectType::setAugments(SmiValueReference *augments) {
  this -> augments = augments;
  }

const SmiValueReference *SmiObjectType::getAugments() const {
  return augments;
  }
