/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIOBJECTTYPE_H
#define SMIOBJECTTYPE_H

#include <classlib/String.hpp>

#include "SmiSyntax.hpp"
#include "SmiObjectIdentity.hpp"
#include "SmiDefaultValue.hpp"
#include "SmiIndexList.hpp"
#include "SmiValueReference.hpp"

class SmiModule;

class SmiObjectType : public SmiObjectIdentity {
  public:
    SmiObjectType(const SmiModule *module,const char *name);
    ~SmiObjectType();

    SmiAssignmentInfo::Type getType() const;

    void setSyntax(SmiSyntax *syntax);
    const SmiSyntax *getSyntax() const;

    void setAccess(const char *access);
    const char *getAccess() const;

    void setUnits(const char *units);
    const char *getUnits() const;

    void setDefaultValue(SmiDefaultValue *defval);
    const SmiDefaultValue *getDefaultValue() const;

    void setIndexList(SmiIndexList *indices);
    SmiIndexList *getIndexList() const;

    void setAugments(SmiValueReference *augments);
    const SmiValueReference *getAugments() const;

  private:
    SmiObjectType(const SmiObjectType& other);
    SmiObjectType& operator=(const SmiObjectType& other);

    SmiSyntax *syntax;
    String *access;
    String *units;
    SmiDefaultValue *defval;
    SmiIndexList *indices;
    SmiValueReference *augments;
  };

#endif
