/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "SmiOidTreeDriver.hpp"

#include <cstdio>

SmiOidTreeDriver::SmiOidTreeDriver(SmiOidTree *oidTree,SmiDb *smiDb)
           : SmiDriver(smiDb,"/OID"), oidTree(oidTree) {
  }

void SmiOidTreeDriver::loaded(const Xml& xml) {
  XmlElement root = xml.getRootElement();
  int childCount = xml.getElementChildCount(root);
  for (int i = 0 ; i < childCount ; i++ ) {
    XmlElement oidElement = xml.getElementChild(root,i);
    oidTree -> add(xml.getElementAttributeValue(oidElement,0),
                   xml.getElementAttributeValue(oidElement,1));
    }
  }
