/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "SmiRecordDriver.hpp"

SmiRecordDriver::SmiRecordDriver(const SmiDb *smiDb,const char *key)
          : SmiDriver(smiDb,key), value(0) {
  }

SmiRecordDriver::~SmiRecordDriver() {
  delete value;
  }

void SmiRecordDriver::loaded(const Xml& xml) {
  XmlElement root = xml.getRootElement();
  const char *contents = xml.getElementContents(root);
  if (contents) value = new String(contents);
  }

String *SmiRecordDriver::takeValue() {
  String *returnedValue = value;
  value = 0;
  return returnedValue;
  }
