/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMISUBIDENTIFIER_H
#define SMISUBIDENTIFIER_H

#include <classlib/Object.hpp>

#include "SmiTypes.hpp"

class SmiSubIdentifier : public Object {
  public:
    SmiSubIdentifier(SmiTypes::SubIdentifier sid);
    SmiSubIdentifier(const char *value);
    SmiSubIdentifier(const char *module,const char *name);
    SmiSubIdentifier(const char *module,const char *name,
                     SmiTypes::SubIdentifier sid);
    ~SmiSubIdentifier();

    const char *getModule() const;
    const char *getName() const;
    bool getSidPresent() const;
    SmiTypes::SubIdentifier getSid() const;

  private:
    SmiSubIdentifier(const SmiSubIdentifier& other);
    SmiSubIdentifier& operator=(const SmiSubIdentifier& other);

    SmiTypes::SubIdentifier sid;
    String *module;
    String *name;
    bool sidPresent;
  };

#endif
