/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "SmiTypedef.hpp"

SmiTypedef::SmiTypedef(const char *name)
               : syntax(0), status(0), displayHint(0), description(0),
                 reference(0) {
  this -> name = new String(name);
  }

SmiTypedef::~SmiTypedef() {
  delete name;
  delete syntax;
  delete status;
  delete displayHint;
  delete description;
  delete reference;
  }

const char *SmiTypedef::getName() const {
  return name -> getChars();
  }

const char *SmiTypedef::getStatus() const {
  if (! status) return 0;
  return status -> getChars();
  }

void SmiTypedef::setStatus(const char *status) {
  this -> status = new String(status);
  }

void SmiTypedef::setSyntax(SmiSyntax *syntax) {
  this -> syntax = syntax;
  }

const SmiSyntax *SmiTypedef::getSyntax() const {
  return syntax;
  }

const char *SmiTypedef::getDisplayHint() const {
  if (! displayHint) return 0;
  return displayHint -> getChars();
  }

void SmiTypedef::setDisplayHint(const char *displayHint) {
  this -> displayHint = new String(displayHint);
  }

const char *SmiTypedef::getDescription() const {
  if (! description) return 0;
  return description -> getChars();
  }

void SmiTypedef::setDescription(const char *description) {
  this -> description = new String(description);
  }

const char *SmiTypedef::getReference() const {
  if (! reference) return 0;
  return reference -> getChars();
  }

void SmiTypedef::setReference(const char *reference) {
  this -> reference = new String(reference);
  }
