/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMITYPEDEF_H
#define SMITYPEDEF_H

#include <classlib/Object.hpp>
#include <classlib/String.hpp>

#include "SmiSyntax.hpp"

class SmiTypedef : public Object {
  public:
    SmiTypedef(const char *name);
    virtual ~SmiTypedef();

    const char *getName() const;

    const SmiSyntax *getSyntax() const;
    void setSyntax(SmiSyntax *syntax);

    const char *getStatus() const;
    void setStatus(const char *status);

    const char *getDisplayHint() const;
    void setDisplayHint(const char *displayHint);

    const char *getDescription() const;
    void setDescription(const char *description);

    const char *getReference() const;
    void setReference(const char *reference);

  private:
    SmiTypedef(const SmiTypedef& other);
    SmiTypedef& operator=(const SmiTypedef& other);

    String *name;
    SmiSyntax *syntax;
    String *status;
    String *displayHint;
    String *description;
    String *reference;
  };

#endif
