/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>
#include <cstring>

#include "SmiTypedefInfoListDriver.hpp"
#include "SmiTypedefInfo.hpp"

SmiTypedefInfoListDriver::SmiTypedefInfoListDriver(
                                   SmiTypedefInfoList *typedefInfoList,
                                   const SmiModule *module,const SmiDb *smiDb)
                   : SmiDriver(smiDb), typedefInfoList(typedefInfoList) {

  char recordName[128];
  std::sprintf(recordName,"/MODULE/%s/typedefs",module -> getName());
  setKey(recordName);
  }

void SmiTypedefInfoListDriver::loaded(const Xml& xml) {
  XmlElement root = xml.getRootElement();
  int childCount = xml.getElementChildCount(root);
  for (int i = 0 ; i < childCount ; i++ ) {
    XmlElement typedefElement = xml.getElementChild(root,i);
    const char *type = xml.getElementName(typedefElement);
    if (std::strcmp(type,"typedef") == 0) {
      typedefInfoList ->
            add(new SmiTypedefInfo(
                         xml.getElementAttributeValue(typedefElement,0)));
      }
    }
  }
