/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <classlib/String.hpp>

#include "SmiValueReference.hpp"

SmiValueReference::SmiValueReference() : name(0), module(0), oidValue(0) {
  }

SmiValueReference::SmiValueReference(SmiOidValue *oidValueArg)
            : name(0), module(0), oidValue(oidValueArg) {
  }

SmiValueReference::SmiValueReference(const char *nameArg)
            : module(0), oidValue(0) {
  name = new String(nameArg);
  }

SmiValueReference::SmiValueReference(const char *moduleArg,const char *nameArg)
            : module(0), oidValue(0) {
  if (moduleArg) module = new String(moduleArg);
  name = new String(nameArg);
  }

SmiValueReference::~SmiValueReference() {
  delete name;
  delete module;
  delete oidValue;
  }

void SmiValueReference::setName(const char *nameArg) {
  name = new String(nameArg);
  }

const char *SmiValueReference::getName() const {
  if (! name) return 0;
  return name -> getChars();
  }

void SmiValueReference::setModule(const char *moduleArg) {
  module = new String(moduleArg);
  }

const char *SmiValueReference::getModule() const {
  if (! module) return 0;
  return module -> getChars();
  }

void SmiValueReference::setOidValue(SmiOidValue *oidValueArg) {
  oidValue = oidValueArg;
  }

SmiOidValue *SmiValueReference::getOidValue() const {
  return oidValue;
  }
