/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef SMIVALUEREFERENCE_H
#define SMIVALUEREFERENCE_H

#include <classlib/Object.hpp>

#include "SmiOidValue.hpp"

class String;

class SmiValueReference : public Object {
  public:
    SmiValueReference();
    SmiValueReference(SmiOidValue *oidValue);
    SmiValueReference(const char *name);
    SmiValueReference(const char *module,const char *name);
    ~SmiValueReference();

    void setName(const char *name);
    const char *getName() const;

    void setModule(const char *module);
    const char *getModule() const;

    void setOidValue(SmiOidValue *oidValue);
    SmiOidValue *getOidValue() const;

  private:
    SmiValueReference(const SmiValueReference& other);
    SmiValueReference& operator=(const SmiValueReference& other);

    String *name;
    String *module;
    SmiOidValue *oidValue;
  };

#endif
