/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstdio>
#include <cstring>

#include "SmiValueReferenceListLoader.hpp"
#include "SmiValueReferenceLoader.hpp"

SmiValueReferenceListLoader::SmiValueReferenceListLoader(const Xml& xml)
         : XmlLoader(xml), objects(0) {
  }

SmiValueReferenceListLoader::~SmiValueReferenceListLoader() {
  delete objects;
  }

void SmiValueReferenceListLoader::load(XmlElement listElement) {
  objects = new ObjectList();

  int childCount = xml.getElementChildCount(listElement);
  for (int i = 0 ; i < childCount ; i++ ) {
    XmlElement child = xml.getElementChild(listElement,i);
    //const char *name = xml.getElementName(child);

    SmiValueReferenceLoader loader(xml);
    loader.load(child);
    objects -> add(loader.takeValueReference());
    }
  }

//
// Return the loaded list object, transferring ownership
// (responsibility to delete) to the caller
//
ObjectList *SmiValueReferenceListLoader::takeValueReferenceList() {
  ObjectList *returnedList = objects;
  objects = 0;
  return returnedList;
  }
