/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <cstring>

#include "SmiValueReferenceLoader.hpp"

SmiValueReferenceLoader::SmiValueReferenceLoader(const Xml& xml)
                 : XmlLoader(xml), valueReference(0) {
  }

SmiValueReferenceLoader::~SmiValueReferenceLoader() {
  delete valueReference;
  }

void SmiValueReferenceLoader::load(XmlElement valueReferenceElement) {
  valueReference = new SmiValueReference();

  int attributeCount = xml.getElementAttributeCount(valueReferenceElement);
  for (int i = 0 ; i < attributeCount ; i++ ) {
    const char *name = xml.getElementAttributeName(valueReferenceElement,i);
    if (strcmp(name,"name") == 0) {
      valueReference ->
             setName(xml.getElementAttributeValue(valueReferenceElement,i));
      }
    else if (strcmp(name,"module") == 0) {
      valueReference ->
             setModule(xml.getElementAttributeValue(valueReferenceElement,i));
      }
    }

  // OID element TBD?
  }

SmiValueReference *SmiValueReferenceLoader::takeValueReference() {
  SmiValueReference *returnedValue = valueReference;
  valueReference = 0;
  return returnedValue;
  }
