/*
 *  Copyright (C) 2003  Clive Butler
 *
 *  Author's email address: cebdev@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SMISNMPPPADAPTER_H
#define SMISNMPPPADAPTER_H

#include <snmp++/snmp_pp.h>

#include <classlib/String.hpp>

#include <smidb/Smi.hpp>
#include <smidb/SmiOid.hpp>
#include <smidb/SmiSyntax.hpp>

class SmiSnmpPPAdapter {
  public:
    static String *snmpVbToString(const Smi &smi,const SmiModule *module,
                                  const SmiSyntax *syntax,const Vb &vb,
                                  int options=0);

    static String *snmpOidToString(const Smi &smi,const Oid &oid,
                                   int options=0);

    static String *snmpVbToString(const Smi& smi,const Vb& vb,int options=0);

    static SmiOid *snmpOid(const Oid& oid);
  };

#endif
